﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Symbolleisten
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void BnOpen_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "txt files (*.txt)|*.txt|pdf files (*.pdf)|*.pdf|All files (*.*)|*.*";
            openFileDialog1.FilterIndex = 2;// zählt von 1 !
            openFileDialog1.DefaultExt = ".txt";
            openFileDialog1.InitialDirectory = "c:\\daten\\0";
            openFileDialog1.Multiselect = true;
            openFileDialog1.RestoreDirectory = true;
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string[] sFiles;
                sFiles = openFileDialog1.FileNames;
                foreach (string sFile in sFiles)
                {
                    MessageBox.Show(sFile, Application.ProductName);
                }
            }

        }
        private void BnSave_Click(object sender, EventArgs e)
        {
            saveFileDialog1.Filter = "txt files (*.txt)|*.txt|pdf files (*.pdf)|*.pdf|All files (*.*)|*.*";
            saveFileDialog1.FilterIndex = 1;// zählt von 1 !
            saveFileDialog1.DefaultExt = ".txt";
            saveFileDialog1.InitialDirectory = "c:\\daten";
            saveFileDialog1.RestoreDirectory = true;
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string sFile = saveFileDialog1.FileName.ToString();
                MessageBox.Show(sFile, Application.ProductName);
            }
        }

        private void BnWindowNormal_Click(object sender, EventArgs e)
        {
            WindowState = System.Windows.Forms.FormWindowState.Normal;
        }

        private void MnWindowMaximized_Click(object sender, EventArgs e)
        {
            WindowState = System.Windows.Forms.FormWindowState.Maximized;
        }

        private void BnToggle_ButtonClick(object sender, EventArgs e)
        {
            if (WindowState==System.Windows.Forms.FormWindowState.Maximized)
                WindowState = System.Windows.Forms.FormWindowState.Normal;
            else
                WindowState = System.Windows.Forms.FormWindowState.Maximized;
        }

    }
}
